package fr.itsonus.bousoleplussbackend.projections;

import fr.itsonus.bousoleplussbackend.models.Quiz;
import fr.itsonus.bousoleplussbackend.models.QuizScore;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.rest.core.config.Projection;

import java.util.Date;
import java.util.List;

@Projection(name = "quizWithScore", types = {Quiz.class})
public interface QuizWithScore {

    Long getId();

    Date getCreatedDate();

    @Value("#{target.getScores()}")
    List<QuizScore> getScores();
}
