package fr.itsonus.bousoleplussbackend.projections;

import fr.itsonus.bousoleplussbackend.models.Response;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.rest.core.config.Projection;

@Projection(name = "responseWithQuestion", types = { Response.class })
public interface ResponseWithQuestion {

    String getComment();
    Short getScore();

    @Value("#{target.getQuestion().getLabel()}")
    String getQuestion();

    @Value("#{target.getQuestion().getAxe().getIdentifier()}")
    Integer getAxeIdentifier();
}
