INSERT INTO axe (id, identifier, short_title, title, description, color)
VALUES
    (nextval('hibernate_sequence'), '1', 'Pouvoir d’agir', 'AGIR en (re)donnant du pouvoir d’agir aux territoires et à leurs habitants', null, '#CA8AE8'),
    (nextval('hibernate_sequence'), '2', 'Multi-secteur', 'AGIR sur tous les secteurs de l’économie et l’ensemble des chaînes de valeur*', '* ensemble des activités concourant à la création et la vente d’un produit ou d’un service : de l’approvisionnement à la vente en  passant par la production même, la distribution, les services associés, ...', '#22B9A6'),
    (nextval('hibernate_sequence'), '3', 'Local global', 'AGIR localement en pensant globalement', null, '#E7E145'),
    (nextval('hibernate_sequence'), '4', 'Utilité (sociale et écologique)', 'AGIR de manière utile et sobre socialement et écologiquement', null, '#F39345'),
    (nextval('hibernate_sequence'), '5', 'Communs', 'AGIR pour préserver et se réapproprier les communs*', '* ressources partagées, gérées et maintenues collectivement par une communauté ; celle-ci établit des règles dans le but de préserver et pérenniser ces ressources tout en fournissant aux membres de cette communauté la possibilité et le droit de les utiliser', '#9FCC8B'),
    (nextval('hibernate_sequence'), '6', 'Démocratie', 'AGIR démocratiquement', null, '#FDA6C5'),
    (nextval('hibernate_sequence'), '7', 'Coopération', 'AGIR en encourageant la coopération à tous les niveaux', null, '#7E91F1'),
    (nextval('hibernate_sequence'), '8', 'Finances', 'AGIR pour maîtriser les outils de production', null, '#F37665'),
    (nextval('hibernate_sequence'), '9', 'Moyens de production', 'AGIR sur les instruments financiers', null, '#E9D280'),
    (nextval('hibernate_sequence'), '10','Travail', 'AGIR pour redonner au travail sa valeur véritable', null, '#7BD1F5');

INSERT INTO users (id, username, password)
VALUES
    (nextval('hibernate_sequence'), 'demo', '$2a$10$z83Y96vADEMbDytv4O1h.eBPGcVy2KgvuG8Ftk1t3eGuaDGexrhEW');

INSERT INTO question (id, axe_id, user_id, label, description)
VALUES
    (nextval('hibernate_sequence'), 1, 11, 'Le projet permet-il la participation active de plusieurs parties prenantes ?', null),
    (nextval('hibernate_sequence'), 1, 11, 'Le projet favorise-t-il la participation active des (futurs) usagers ?', null),
    (nextval('hibernate_sequence'), 1, 11, 'Le projet est il accessible financièrement au plus grand nombre ?', null),
    (nextval('hibernate_sequence'), 1, 11, 'L’animation du projet est-elle organisée et continue ?', null),
    (nextval('hibernate_sequence'), 1, 11, 'Le projet favorise-t-il la mixité sociale et/ou les liens sociaux ?', null),
    (nextval('hibernate_sequence'), 1, 11, 'Le projet prend -il en compte les enjeux sociaux et environnementaux locaux ?', null),
    (nextval('hibernate_sequence'), 1, 11, 'Le projet favorise-t-il la montée en compétences des parties prenantes ?', null),
    (nextval('hibernate_sequence'), 1, 11, 'Le projet favorise-t-il l’inclusion de personnes en situation de vulnérabilité ?', null),

    (nextval('hibernate_sequence'), 2, 11, 'Les approvisionnements via des ressources locales sont-ils à l’œuvre ou envisagés  ?', null),
    (nextval('hibernate_sequence'), 2, 11, 'Plusieurs filières ou thématiques sont-elles abordées dans le projet ?', null),
    (nextval('hibernate_sequence'), 2, 11, 'Le projet est-il suffisamment émancipé de l’apport de ressources extérieures ?', null),
    (nextval('hibernate_sequence'), 2, 11, 'Une analyse systémique du projet (connaissance des différentes interactions) est-elle à l’œuvre ?', null),
    (nextval('hibernate_sequence'), 2, 11, 'Le projet est-il ouvert et propice à l’innovation ?', null),

    (nextval('hibernate_sequence'), 3 ,11, 'Les parties prenantes du projet sont-elles en lien avec d’autres écosystèmes locaux ?', null),
    (nextval('hibernate_sequence'), 3 ,11, 'Le projet prévoit-il de s’associer officiellement (contrat, convention, charte commune, …) avec d’autres écosystèmes locaux ?', null),
    (nextval('hibernate_sequence'), 3 ,11, 'Le projet contribue-t-il au développement économique d’autres acteurs en dehors du territoire ?', null),
    (nextval('hibernate_sequence'), 3 ,11, 'Le projet contribue-t-il à un rééquilibrage territorial en faveur de territoires moins favorisés ?', null),
    (nextval('hibernate_sequence'), 3 ,11, 'Les parties prenantes du projet contribuent-elles à essaimer les bonnes pratiques liées au projet ?', null),
    (nextval('hibernate_sequence'), 3 ,11, 'Des ressources extérieures utiles et complémentaires au projet ont-elles été identifiées ?', null),

    (nextval('hibernate_sequence'), 4 ,11, 'Le projet a-t-il intégré un objectif de sobriété sur un ou plusieurs aspects ?', null),
    (nextval('hibernate_sequence'), 4 ,11, 'Les besoins auxquels répond le projet ont-ils été définis en concertation avec les parties prenantes ?', null),
    (nextval('hibernate_sequence'), 4 ,11, 'Le projet a-t-il défini une politique d’achats responsables ?', null),
    (nextval('hibernate_sequence'), 4 ,11, 'Les impacts environnementaux de la production et de la consommation liées au projet ont-ils été identifiés ?', null),
    (nextval('hibernate_sequence'), 4 ,11, 'Le projet est-il associé à une boucle d’économie circulaire ?', null),
    (nextval('hibernate_sequence'), 4 ,11, 'Le projet prend-il en compte la gestion des déchets et leur transformation en ressources ?', null),

    (nextval('hibernate_sequence'), 5 ,11, 'Existe-t-il autour du projet une(des) ressource(s) partageable(s) préexistante(s) ?', null),
    (nextval('hibernate_sequence'), 5 ,11, 'Le projet va-t-il produire une(des) ressource(s) partageable(s) ?', null),
    (nextval('hibernate_sequence'), 5 ,11, 'Le projet est-il considéré lui-même comme une ressource partageable ?', null),
    (nextval('hibernate_sequence'), 5 ,11, 'Existe-t-il autour du projet une communauté souhaitant administrer et gérer cette ressource partageable ?', null),
    (nextval('hibernate_sequence'), 5 ,11, 'Existe-t-il des règles d’accès et/ou d’usage à ces ressources ?', null),

    (nextval('hibernate_sequence'), 6 ,11, 'Existe t-il des lieux et des temps d’expression et de débat ouverts autour du projet ?', null),
    (nextval('hibernate_sequence'), 6 ,11, 'Les phases essentielles de développement et d’évaluation du projet sont elles soumises au débat ?', null),
    (nextval('hibernate_sequence'), 6 ,11, 'Tous les groupes représentatifs sont ils invités au débat : élu.e.s, producteur.ices, consommateur.ices, bénéficiaires, chargé.e.s de projet, encadrant.e.s, ....', null),
    (nextval('hibernate_sequence'), 6 ,11, 'Le droit à la parole est-il équitable lors des débats ? (ou les moyens mobilisés permettent-ils l’expression de chacun.e de manière équitable ?', null),
    (nextval('hibernate_sequence'), 6 ,11, 'La gouvernance permet-elle une prise de décision partagée avec tous les groupes de parties prenantes ?', null),
    (nextval('hibernate_sequence'), 6 ,11, 'Les modalités de participation à la gouvernance par chacun.e sont-elles lisibles et accessibles ?', null),

    (nextval('hibernate_sequence'), 7 ,11, 'Le projet prend-il en compte les contraintes des différentes parties prenantes ?', null),
    (nextval('hibernate_sequence'), 7 ,11, 'La prise en compte des contraintes des parties prenantes fait-elle évoluer le projet ?', null),
    (nextval('hibernate_sequence'), 7 ,11, 'La coopération des acteurs permet-elle d’identifier les ressources matérielles et immatérielles locales mobilisables ?', null),
    (nextval('hibernate_sequence'), 7 ,11, 'La coopération permet-elle de mieux prendre en compte les externalités négatives du projet ?', null),
    (nextval('hibernate_sequence'), 7 ,11, 'La coopération permet-elle le financement des externalités positives du projet de manière monétaire ou non monétaire ?', null),
    (nextval('hibernate_sequence'), 7 ,11, 'Le processus de coopération fait-il évoluer la façon de travailler de chacun.e ?', null),
    (nextval('hibernate_sequence'), 7 ,11, 'Existe t-il un processus de partage et de transmission de l’information qui favorise la coopération ?', null),

    (nextval('hibernate_sequence'), 8 ,11, 'Existe-t-il une réflexion autour de la propriété du foncier/l’immobilier utile au projet ?', null),
    (nextval('hibernate_sequence'), 8 ,11, 'Existe-t-il une réflexion autour de la propriété des machines et des équipements utiles au projet ?', null),
    (nextval('hibernate_sequence'), 8 ,11, 'Existe-t-il une réflexion autour de la propriété des process de production et d’innovation ?', null),
    (nextval('hibernate_sequence'), 8 ,11, 'Êtes-vous libre de décider de l’emploi des outils de production nécessaires au projet ?', null),
    (nextval('hibernate_sequence'), 8 ,11, 'Êtes-vous libre de décider quel est le niveau souhaitable de productivité du projet ?', null),
    (nextval('hibernate_sequence'), 8 ,11, 'Un processus d’acquisition en propriété collective est-il à l’œuvre ?', null),
    (nextval('hibernate_sequence'), 8 ,11, 'Le projet permet-il de mieux de sentir protégés contre d’éventuelles opérations de délocalisation ?', null),
    (nextval('hibernate_sequence'), 8 ,11, 'Le projet contribue-t-il à une reprise en main de l’économie locale ?', null),

    (nextval('hibernate_sequence'), 9 ,11, 'Le projet mobilise-t-il du financement solidaire et/ou participatif (épargne solidaire, crowdfunding, ...) ?', null),
    (nextval('hibernate_sequence'), 9 ,11, 'Le projet mobilise-t-il des financements locaux (micro-crédit, capital-risque solidaire, clubs d’investisseurs locaux, ...) ?', null),
    (nextval('hibernate_sequence'), 9 ,11, 'Le projet intègre-t-il le recours à des boucles locales d’échanges (monnaie complémentaire, troc inter-entreprise, système d’échange local, ...) ?', null),
    (nextval('hibernate_sequence'), 9 ,11, 'Le projet mobilise-t-il du soutien auprès de fondations ?', null),
    (nextval('hibernate_sequence'), 9 ,11, 'Le projet cherche-t-il à favoriser la création d’une fondation territoriale ?', null),

    (nextval('hibernate_sequence'), 10 ,11, 'Le projet valorise-t-il les ressources immatérielles (intentions, initiatives, compétences, savoir-faire) des contributeur.ices ?', null),
    (nextval('hibernate_sequence'), 10 ,11, 'Le projet contribue-t-il à développer les ressources immatérielles des contributeur.ices? (formation, santé, bien-être, confiance) ?', null),
    (nextval('hibernate_sequence'), 10 ,11, 'Le projet mobilise-t-il différentes formes de contribution : bénévolat, insertion, salariat, ... ?', null),
    (nextval('hibernate_sequence'), 10 ,11, 'Le projet mobilise-t-il différentes formes de rétribution des contributions : salariat, rétribution contributive,échanges, ...', null),
    (nextval('hibernate_sequence'), 10 ,11, 'La rémunération juste des parties prenantes est-elle prise en compte ?', null);
