import {RestLinks} from "~/repositories/models/rest-response.model";
import {Question} from "~/repositories/models/question.model";

export interface Axe extends RestLinks {
  identifier: number;
  shortTitle: string;
  description: string;
  title: string;
  color: string;
}

export interface AxeWithQuestions extends RestLinks {
  identifier: number;
  shortTitle: string;
  description: string;
  title: string;
  color: string;
  questions: Question[];
}
