export interface RestLinks {
  "_links": {
    "self": {
      "href": string;
    }
  }
}

export interface Page {
  "page": {
    "size": number;
    "totalElements": number;
    "totalPages": number;
    "number": number;
  }
}

export interface RestResponse<T> extends RestLinks, Page {
  _embedded: { [key: string]: T[] };
}
