import {Store} from 'vuex'
import {getModule} from 'vuex-module-decorators'
import Quiz from "~/store/quiz";

/* eslint import/no-mutable-exports: 0 */
let quizStore: Quiz;

function initialiseStores(store: Store<any>): void {
  quizStore = getModule(Quiz, store);
}

export {initialiseStores, quizStore}
